/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2014 Frederik Heber. All rights reserved.
 *
 *
 *   This file is part of MoleCuilder.
 *
 *    MoleCuilder is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    MoleCuilder is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * QtLogBox.cpp
 *
 *  Created on: Jun 19, 2014
 *      Author: heber
 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "QtLogBox.hpp"

#include "CodePatterns/MemDebug.hpp"

#include <boost/bind.hpp>
#include <ios>

#include "CodePatterns/Log.hpp"

QtLogBox::QtLogBox(QWidget * _parent) :
    QTextEdit (_parent),
    logbuf(std::cout, this)
{
  // don't edit the log
  setReadOnly(true);
//  setTextFormat(Qt::LogText);

}

QtLogBox::~QtLogBox()
{}
